Tuscany
  1. Tuscany
  2. TUSCANY-3759

binding-erlang-runtime isn't compatible with the current version of Erlang/OTP

    Details

      Description

      The unit tests in binding-erlang-runtime hang if the current version of Erlang/OTP is in the path.

      The binding runtime code and unit tests were originally developed with version R12B of the Erlang/OTP runtime and version 1.4.2 of the jinterface jar (the Java/Erlang bridge). When run with this combination, the unit tests complete successfully.

      Making either or both of the following changes causes the unit tests to hang:
      1. Upgrading the Erlang/OTP runtime from version R12B to the current version R14B.
      2. Upgrading the jinterface jar from version 1.4.2 (com/ericsson/otperlang-1.4.2.jar) to the current version 1.5.3.1 (org/erlang/otp/jinterface-1.5.3.1.jar).

      This implies that there is some code in binding-erlang-runtime that requires the older version of the Erlang/OTP runtime and/or the older version of jinterface.

        Activity

        No work has yet been logged on this issue.

          People

          • Assignee:
            Simon Nash
            Reporter:
            Simon Nash
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development